Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161081 - _missing_doc_files_terminate_build and _missing_doc_files_terminate_build are not reread between two build
Summary: _missing_doc_files_terminate_build and _missing_doc_files_terminate_build are...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 14:45 UTC by Nanar
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 10:04:49 UTC


Attachments (Terms of Use)
This patch remove the static decalration and so fix the issue (deleted)
2005-06-20 14:47 UTC, Nanar
no flags Details | Diff

Description Nanar 2005-06-20 14:45:36 UTC
From Bugzilla Helper:
User-Agent: 

Description of problem:
_missing_doc_files_terminate_build and _missing_doc_files_terminate_build are 
not reread between two build, so if this macro is set into the first specfile, 
it will apply to the second even this is not the default value. 

Version-Release number of selected component (if applicable):
rpm-4.4.1 (cvs include)

How reproducible:
Always

Steps to Reproduce:
1. create two spec file, in first set both macro to, in second, create, 
voluntary forgot a file into %files 
2. build both 
3. the second spec build should failed, but the first set still apply  
   

Actual Results:  - untrapped errors  

Additional info:

Comment 1 Nanar 2005-06-20 14:47:09 UTC
Created attachment 115689 [details]
This patch remove the static decalration and so fix the issue

Comment 2 Jeff Johnson 2005-07-13 10:04:49 UTC
Checked in on rpm-4_4, should be in rpm-4.4.2-0.8 when built. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.